For Developers
List Integrations
GET https://ed.link/api/v2/teams/:team_id/integrations
Returns a paginated list of integrations owned by or accessible to the team.
Permissions
Requires the integrations.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
$filter | String | No | Filter expression matching integration properties (status, source, or application). |
Sample Request
const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/integrations`, {
headers: {
authorization: `Bearer ${user_session_token}`
}
});
Sample Response
{
"$data": [
{
"id": "fd8e2612-1329-4d85-bb56-95dcb27d7c92",
"state": "active",
"created_date": "2024-01-15T08:00:00.000Z",
"updated_date": "2024-06-20T18:20:59.000Z",
"source": { "id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12", "name": "Oakridge LMS", "status": "active" },
"application": { "id": "4b7b2520-410a-4bf3-9118-2e11893c5289", "name": "Acme Learning", "status": "active" }
}
]
}
